import { Windup, PlayedWindup } from "../Windup";
export interface HookMetadata {
    onChar?: (char: string, reversing?: boolean) => void;
    pace?: (char: string, nextChar: string | undefined) => number;
}
export default function useWindup<MetadataType extends HookMetadata>(windupInit: Windup<string, MetadataType>, options: {
    onFinished?: () => void;
    skipped?: boolean;
}): {
    windup: Windup<string, MetadataType> | PlayedWindup<string, MetadataType>;
    skip: () => void;
    rewind: () => void;
    isFinished: boolean;
};
